# Uses of Class
net.sf.statcvs.model.Directory

Packages that use Directory
Package
Description
net.sf.statcvs.charts
net.sf.statcvs.input
This package is responsible for parsing CVS logs and working copy and creating a StatCVS model from them.
net.sf.statcvs.model
Classes providing a representation of all log data in a repository.
net.sf.statcvs.output
net.sf.statcvs.pages
net.sf.statcvs.pages.xml
net.sf.statcvs.renderer
net.sf.statcvs.reports

## Uses of Directory in net.sf.statcvs.charts

Methods in net.sf.statcvs.charts with parameters of type Directory
Modifier and Type
Method
Description
`protected abstract int`
DirectoryPieChartMaker.`calculateValue(Directory directory)`
`protected int`
DirectoryPieChartMaker.CodeDistributionChartMaker.`calculateValue(Directory directory)`
`protected int`
DirectoryPieChartMaker.DirectorySizesChartMaker.`calculateValue(Directory directory)`
Constructors in net.sf.statcvs.charts with parameters of type Directory
Modifier
Constructor
Description
``
`DirectoryLOCChartMaker(ReportConfig config, Directory directory)`

## Uses of Directory in net.sf.statcvs.input

Methods in net.sf.statcvs.input that return Directory
Modifier and Type
Method
Description
`Directory`
Builder.`getDirectory(String filename)`
Returns the `Directory` of the given filename or creates it if it does not yet exist.

## Uses of Directory in net.sf.statcvs.model

Methods in net.sf.statcvs.model that return Directory
Modifier and Type
Method
Description
`static Directory`
Directory.`createRoot()`
Factory method for creating a new root directory.
`Directory`
Directory.`createSubdirectory(String name)`
Factory method for creating a new subdirectory.
`Directory`
VersionedFile.`getDirectory()`
Returns the file's `Directory`.
`abstract Directory`
Directory.`getParent()`
Returns the directory's parent directory or `null` if it is the root
`Directory`
Repository.`getRoot()`
Returns the repository's root directory, or `null` if the directory contains no files.
Constructors in net.sf.statcvs.model with parameters of type Directory
Modifier
Constructor
Description
``
`VersionedFile(String name, Directory directory)`
Creates a VersionedFile object.

## Uses of Directory in net.sf.statcvs.output

Methods in net.sf.statcvs.output with parameters of type Directory
Modifier and Type
Method
Description
`String`
ChoraIntegration.`getDirectoryUrl(Directory directory)`
`String`
CvswebIntegration.`getDirectoryUrl(Directory directory)`
`String`
JCVSWebIntegration.`getDirectoryUrl(Directory directory)`
`String`
TracIntegration.`getDirectoryUrl(Directory directory)`
`String`
ViewCvsIntegration.`getDirectoryUrl(Directory directory)`
`String`
WebRepositoryIntegration.`getDirectoryUrl(Directory directory)`
Returns a URL to a directory in the web repository browser

## Uses of Directory in net.sf.statcvs.pages

Methods in net.sf.statcvs.pages with parameters of type Directory
Modifier and Type
Method
Description
`void`
Page.`add(Directory directory, boolean withRootLinks)`
`static String`
HTML.`getDirectoryLink(Directory directory)`
Returns HTML code for a directory page link
`static String`
DirectoryPageMaker.`getURL(Directory directory)`
Constructors in net.sf.statcvs.pages with parameters of type Directory
Modifier
Constructor
Description
``
`DirectoryPageMaker(ReportConfig config, Directory directory)`
``
`DirectoryTreeFormatter(Directory directory, boolean withRootLinks)`

## Uses of Directory in net.sf.statcvs.pages.xml

Methods in net.sf.statcvs.pages.xml with parameters of type Directory
Modifier and Type
Method
Description
`static String`
XML.`getDirectoryLink(Directory directory)`
Returns HTML code for a directory page link

## Uses of Directory in net.sf.statcvs.renderer

Methods in net.sf.statcvs.renderer with parameters of type Directory
Modifier and Type
Method
Description
`void`
HTMLTableCellRenderer.`renderDirectoryCell(Directory directory)`
Render a cell containing a directory to HTML
`void`
TableCellRenderer.`renderDirectoryCell(Directory directory)`
Render a cell containing a directory
`void`
XMLRenderer.`renderDirectoryCell(Directory directory)`
Render a cell containing a directory to XML

## Uses of Directory in net.sf.statcvs.reports

Constructors in net.sf.statcvs.reports with parameters of type Directory
Modifier
Constructor
Description
``
`AuthorsForDirectoryTableReport(ReportConfig config, Directory directory)`
Creates a table report containing authors who have committed changes to a specified directory, their number of changes and LOC contributions.